using System;
class Program
{
    static void Main()
    {
        string s = Console.ReadLine();
        int p = s.IndexOf(' ');
        int n = int.Parse(s.Substring(0, p));
        int l = int.Parse(s.Substring(p + 1));
        int[] a = new int[n + 1];
        string N = Console.ReadLine();
        string[] visine = N.Split(' ');
        for (int i = 1; i < n+1; i++)
        {
         
            a[i] = int.Parse(visine[i-1]);
            
            //Console.WriteLine(a[i]);
        }
        int o = 0;
        int indeks = 0;
        for (int i = 1; i < n+1; i++)
        {
            if (a[i] <= l)
            {
                if (o == 0)
                {
                    indeks = i;
                    o++;
                }
            }
        }
        if (o == 0)
        {
            indeks = -1;
        }
        
        //while (a[o] > l)
        //{
        //    if (o < n+1)
        //    {
        //        o++;
        //    }
        //    else a[o] = l + 1;
        //    //Console.WriteLine(a[o] + " " + o + " " + n);
        //}
        

        Console.WriteLine(indeks);
            
        

    }
}